<?
// +-------------------------------------------------------+
// | SCRiPTMAFiA 2005 - THE DiRTY HANDS ON YOUR SCRiPTS
// +-------------------------------------------------------+
if(!defined("FORMS")){
	echo "<pre>Access denied!";
	exit();
}
if($_REQUEST['action']=="edit"){
	$sql =& new dbc("SELECT * FROM ".PREFIX."_news WHERE newsid='".$_REQUEST['id']."'");
	$row = $sql->fetchrow();
}

?>

<select name="s_day" id="s_day">
<? for($i=1; $i<=31; $i++){ ?>
	<option value="<?=$i;?>" 
	<? 
	if($_REQUEST['action']=="edit"){
		if($i==date("d",$row->time_start)) echo "selected";
	} else {
		if($i==date("d")) echo "selected";
	}
	?>>
	<? $i2=""; if($i<10) $i2="0"; echo $i2.$i;?>
	</option>
	
<? } ?>

</select>
<select name="s_month" id="s_month">
<? for($i=1; $i<=12; $i++){ ?>
	<option value="<?=$i;?>" 
	<?
	if($_REQUEST['action']=="edit"){
		if($i==date("m",$row->time_start)) echo "selected";
	} else {
		if($i==date("m")) echo "selected";
	}
	?>>
	<? $i2=""; if($i<10) $i2="0"; echo $i2.$i;?>
	</option>
<? } ?>
</select>


<select name="s_year" id="s_year">
<? for($i="2003" ; $i<=date("Y"); $i++){ ?>
	<option value="<?=$i;?>" 
	<? 
	if($_REQUEST['action']=="edit"){
		if($i==date("Y",$row->time_start)) echo "selected";
	} else {
		if($i==date("Y")) echo "selected";
	}
	?>>
	<? $i2=""; if($i<10) $i2="0"; echo $i2.$i;?>
	</option>
<? } ?>
</select>
-
<select name="s_hour" id="s_hour">
<? for($i=0 ; $i<=23; $i++){ ?>
	<option value="<?=$i;?>" 
	<? 
	if($_REQUEST['action']=="edit"){
		if($i==date("H",$row->time_start)) echo "selected";
	} else {
		if($i==date("H")) echo "selected";
	}
	?>>
	<? $i2=""; if($i<10) $i2="0"; echo $i2.$i;?>
	</option>
<? } ?>
</select>
:
<select name="s_minute" id="s_minute">
<? for($i=0 ; $i<=59; $i++){ ?>
	<option value="<?=$i;?>" 
	<?
	if($_REQUEST['action']=="edit"){
		if($i==date("i",$row->time_start)) echo "selected";
	} else {
		if($i==date("i")) echo "selected";
	}
	?>>
	<? $i2=""; if($i<10) $i2="0"; echo $i2.$i;?>
	</option>
<? } ?>
</select>
:
<select name="s_second" id="s_second">
<? for($i=0 ; $i<=59; $i++){ ?>
	<option value="<?=$i;?>" 
	<?
	if($_REQUEST['action']=="edit"){
		if($i==date("s",$row->time_start)) echo "selected";
	} else {
		if($i==date("s")) echo "selected";
	}
	?>>
	<? $i2=""; if($i<10) $i2="0"; echo $i2.$i;?>
	</option>
<? } ?>
</select>